Autor Téma: Neumím terminálem spustit ani instalovat  (Přečteno 1204 krát)

Offline BFU

  • Začátečník
  • **
  • Příspěvků: 27
    • Zobrazit profil
Neumím terminálem spustit ani instalovat
« kdy: 15. 03. 2020, 16:01:41 »
Dva dny hledám a čtu až z toho blbnu.
Nejsem schopen spustit např. nainstalovaný CrossOver. Vidím ho v adresáři ./opt/cxoffice/ a nejsem schopen najít jakým příkazem ho v terminálu spustím. Ani jinak to neumím.
Stejně tak nemohu najít příkaz jak nainstalovat stažený balíček *.deb a *.rpm Určitě jsou to základní věci, ale prostě nenašel jsem, nevím, neumím. Kde se to dá vyčíst bez zbytečného balastu, který 2 dny louskám?
Nováček to má s linuxem fakt těžké. :-[
Prosím o polopatické rady - jsem BFU

Offline Ota Trkola

  • Administrátor
  • Aktivní­ uživatel
  • *****
  • Příspěvků: 1.279
    • Zobrazit profil
  • Jabber: otas.pe@jabbim.cz
Re:Neumím terminálem spustit ani instalovat
« Odpověď #1 kdy: 15. 03. 2020, 16:14:08 »
CrossOver nepoužívám, neznám, neumím poradit.

Ohledně instalace DEB a RMP. Je potřeba pochopit, že používás DEB distribuci, nikoliv RPM (Fedora, SUSE, atd), takže instalovat lze pouze DEB balíčky. Není ale doporučeno instalovat mimo repozitář. Co chceš instalovat?
Debian Sid Gnome 64bit
Debian Buster Xfce 64bit


Návod na Netinst instalaci

Offline BFU

  • Začátečník
  • **
  • Příspěvků: 27
    • Zobrazit profil
Re:Neumím terminálem spustit ani instalovat
« Odpověď #2 kdy: 15. 03. 2020, 17:23:25 »
Dík za odpověď.
Mám tu např. stažený balíček ve složce Stažené
PlayOnLinux_4.3.4.deb,
nebo balíček crossover_19.0.1-1.deb.
Co mám udělat?

 
Prosím o polopatické rady - jsem BFU

Offline Ota Trkola

  • Administrátor
  • Aktivní­ uživatel
  • *****
  • Příspěvků: 1.279
    • Zobrazit profil
  • Jabber: otas.pe@jabbim.cz
Re:Neumím terminálem spustit ani instalovat
« Odpověď #3 kdy: 15. 03. 2020, 18:39:14 »
Instalace PlayOnLinux z repozitáře, verze stejná, jako jsi někde stáhl z netu.

Kód: [Vybrat]
su -
Kód: [Vybrat]
apt update
Kód: [Vybrat]
apt upgrade
Kód: [Vybrat]
apt install playonlinux
Debian Sid Gnome 64bit
Debian Buster Xfce 64bit


Návod na Netinst instalaci

Offline BFU

  • Začátečník
  • **
  • Příspěvků: 27
    • Zobrazit profil
Re:Neumím terminálem spustit ani instalovat
« Odpověď #4 kdy: 15. 03. 2020, 18:51:30 »
Dík za pomoc.
nejde mi to
Kód: [Vybrat]
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
Některé balíky nemohly být instalovány. To může znamenat, že požadujete
nemožnou situaci, nebo, pokud používáte nestabilní distribuci, že
vyžadované balíky ještě nebyly vytvořeny nebo přesunuty z Příchozí fronty.
Následující informace vám mohou pomoci vyřešit tuto situaci:

Následující balíky mají nesplněné závislosti:
 playonlinux : Závisí na: icoutils ale nedá se nainstalovat
               Závisí na: jq ale nedá se nainstalovat
E: Nelze opravit problémy, některé balíky držíte v porouchaném stavu.
Prosím o polopatické rady - jsem BFU

Offline Ota Trkola

  • Administrátor
  • Aktivní­ uživatel
  • *****
  • Příspěvků: 1.279
    • Zobrazit profil
  • Jabber: otas.pe@jabbim.cz
Re:Neumím terminálem spustit ani instalovat
« Odpověď #5 kdy: 15. 03. 2020, 19:12:17 »
Pošli sem celý výpis, ne jen část.
Debian Sid Gnome 64bit
Debian Buster Xfce 64bit


Návod na Netinst instalaci

Offline BFU

  • Začátečník
  • **
  • Příspěvků: 27
    • Zobrazit profil
Re:Neumím terminálem spustit ani instalovat
« Odpověď #6 kdy: 15. 03. 2020, 19:52:32 »
Snad se nebudeš zlobit, ale vyčetl jsem, že kali je vlastně debian, tak jsem to nainstaloval z CD a peru se teď s kali

Kód: [Vybrat]
root@kali:~# apt update
Ign:1 cdrom://[Debian GNU/Linux 2019.1 _Kali-rolling_ - Official Snapshot amd64 LIVE/INSTALL Binary 20190228-17:12] kali-last-snapshot InRelease
Err:2 cdrom://[Debian GNU/Linux 2019.1 _Kali-rolling_ - Official Snapshot amd64 LIVE/INSTALL Binary 20190228-17:12] kali-last-snapshot Release
  Pro přidání CD do APTu použijte apt-cdrom. apt-get update nelze využít pro přidávání nových CD.
Ign:3 http://security.debian.org/debian-security kali-last-snapshot/updates InRelease
Stahuje se:4 https://repo.windscribe.com/ubuntu zesty InRelease [7 318 B]     
Ign:5 http://security.debian.org/debian-security kali-last-snapshotupdates InRelease
Err:6 http://security.debian.org/debian-security kali-last-snapshot/updates Release
  404  Not Found [IP: 151.101.12.204 80]
Err:7 http://security.debian.org/debian-security kali-last-snapshotupdates Release
  404  Not Found [IP: 151.101.12.204 80]
Err:4 https://repo.windscribe.com/ubuntu zesty InRelease                       
  Následující podpisy nemohly být ověřeny, protože není dostupný veřejný klíč: NO_PUBKEY D5AD3767530B91D0
Ign:8 http://ftp.cz.debian.org/debian kali-last-snapshot InRelease             
Ign:9 http://ftp.cz.debian.org/debian kali-last-snapshot-updates InRelease     
Mám:10 http://deb.playonlinux.com stretch InRelease                           
Err:11 http://ftp.cz.debian.org/debian kali-last-snapshot Release
  404  Not Found [IP: 78.128.211.127 80]
Err:12 http://ftp.cz.debian.org/debian kali-last-snapshot-updates Release
  404  Not Found [IP: 78.128.211.127 80]
Ign:13 http://www.deb-multimedia.org kali-last-snapshot InRelease
Err:14 http://www.deb-multimedia.org kali-last-snapshot Release
  404  Not Found [IP: 91.121.146.196 80]
Načítají se seznamy balíků… Hotovo
E: Repositář „cdrom://[Debian GNU/Linux 2019.1 _Kali-rolling_ - Official Snapshot amd64 LIVE/INSTALL Binary 20190228-17:12] kali-last-snapshot Release“ neobsahuje soubor Release.
N: Aktualizaci z takového repositáře nelze provést zabezpečeně a je proto implicitně zakázána.
N: Podrobnosti o vytváření a nastavení repositářů naleznete v manuálové stránce apt-secure(8).
E: Repositář „http://security.debian.org/debian-security kali-last-snapshot/updates Release“ neobsahuje soubor Release.
N: Aktualizaci z takového repositáře nelze provést zabezpečeně a je proto implicitně zakázána.
N: Podrobnosti o vytváření a nastavení repositářů naleznete v manuálové stránce apt-secure(8).
E: Repositář „http://security.debian.org/debian-security kali-last-snapshotupdates Release“ neobsahuje soubor Release.
N: Aktualizaci z takového repositáře nelze provést zabezpečeně a je proto implicitně zakázána.
N: Podrobnosti o vytváření a nastavení repositářů naleznete v manuálové stránce apt-secure(8).
W: Chyba GPG: https://repo.windscribe.com/ubuntu zesty InRelease: Následující podpisy nemohly být ověřeny, protože není dostupný veřejný klíč: NO_PUBKEY D5AD3767530B91D0
E: Repositář „https://repo.windscribe.com/ubuntu zesty InRelease“ není podepsán.
N: Aktualizaci z takového repositáře nelze provést zabezpečeně a je proto implicitně zakázána.
N: Podrobnosti o vytváření a nastavení repositářů naleznete v manuálové stránce apt-secure(8).
E: Repositář „http://ftp.cz.debian.org/debian kali-last-snapshot Release“ neobsahuje soubor Release.
N: Aktualizaci z takového repositáře nelze provést zabezpečeně a je proto implicitně zakázána.
N: Podrobnosti o vytváření a nastavení repositářů naleznete v manuálové stránce apt-secure(8).
E: Repositář „http://ftp.cz.debian.org/debian kali-last-snapshot-updates Release“ neobsahuje soubor Release.
N: Aktualizaci z takového repositáře nelze provést zabezpečeně a je proto implicitně zakázána.
N: Podrobnosti o vytváření a nastavení repositářů naleznete v manuálové stránce apt-secure(8).
E: Repositář „http://www.deb-multimedia.org kali-last-snapshot Release“ neobsahuje soubor Release.
N: Aktualizaci z takového repositáře nelze provést zabezpečeně a je proto implicitně zakázána.
N: Podrobnosti o vytváření a nastavení repositářů naleznete v manuálové stránce apt-secure(8).
root@kali:~# apt upgrade
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
Propočítává se aktualizace… Hotovo
0 aktualizováno, 0 nově instalováno, 0 k odstranění a 0 neaktualizováno.
root@kali:~# apt install playonlinux
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
Některé balíky nemohly být instalovány. To může znamenat, že požadujete
nemožnou situaci, nebo, pokud používáte nestabilní distribuci, že
vyžadované balíky ještě nebyly vytvořeny nebo přesunuty z Příchozí fronty.
Následující informace vám mohou pomoci vyřešit tuto situaci:

Následující balíky mají nesplněné závislosti:
 playonlinux : Závisí na: icoutils ale nedá se nainstalovat
               Závisí na: jq ale nedá se nainstalovat
E: Nelze opravit problémy, některé balíky držíte v porouchaném stavu.
root@kali:~# ^C
root@kali:~#
Prosím o polopatické rady - jsem BFU

Offline BFU

  • Začátečník
  • **
  • Příspěvků: 27
    • Zobrazit profil
Re:Neumím terminálem spustit ani instalovat
« Odpověď #7 kdy: 15. 03. 2020, 20:03:15 »
... a tady to je asi blbost že?
Kód: [Vybrat]
deb cdrom:[Debian GNU/Linux 2019.1 _Kali-rolling_ - Official Snapshot amd64 LIV$
deb http://ftp.cz.debian.org/debian/ kali-last-snapshot main contrib non-free
deb-src http://ftp.cz.debian.org/debian/ kali-last-snapshot main contrib non-fr$
deb http://security.debian.org/debian-security kali-last-snapshot/updates main $
deb-src http://security.debian.org/debian-security kali-last-snapshotupdates ma$
deb http://ftp.cz.debian.org/debian/ kali-last-snapshot-updates main
deb-src http://ftp.cz.debian.org/debian/ kali-last-snapshot-updates main
deb http://www.deb-multimedia.org/ kali-last-snapshot main non-free











                                [ Read 8 lines ]
^G Nápověda  ^O Zapsat    ^W Hledat    ^K Vyjmout te^J Zarovnat  ^C Ukazatel
^X Ukončit   ^R Otevřít so^\ Nahradit  ^U Vložit tex^T Pravopis  ^_ Přejít na řá
Prosím o polopatické rady - jsem BFU

Offline Ota Trkola

  • Administrátor
  • Aktivní­ uživatel
  • *****
  • Příspěvků: 1.279
    • Zobrazit profil
  • Jabber: otas.pe@jabbim.cz
Re:Neumím terminálem spustit ani instalovat
« Odpověď #8 kdy: 15. 03. 2020, 20:19:28 »
Kde se tam ty nesmysly vzaly? Jsme to předevčírem dávali dokupy ne? Jestli budeš měnit každej den distribuci při tvých znalostech, tak zvážím ztracený čas radami pro tebe.
Debian Sid Gnome 64bit
Debian Buster Xfce 64bit


Návod na Netinst instalaci

Offline BFU

  • Začátečník
  • **
  • Příspěvků: 27
    • Zobrazit profil
Re:Neumím terminálem spustit ani instalovat
« Odpověď #9 kdy: 15. 03. 2020, 20:55:38 »
Tak promiň - píšu že jsem to přeinstaloval
co s tím?
Prosím o polopatické rady - jsem BFU

Offline Petr Blažíček

  • Nováček
  • *
  • Příspěvků: 14
    • Zobrazit profil
  • Jabber: lactarius
Re:Neumím terminálem spustit ani instalovat
« Odpověď #10 kdy: 16. 03. 2020, 00:53:52 »
Jenom jestli k tomu něco můžu...
Pokud tvrdíš, že jsi BFU, nainstaluj si Ubuntu, to je na takovýhle zacházení ideální, Debian je konzervativní - a tím neobyčejně stabilní. U něj se pokud možno vše instaluje z repozitářů, kde je důkladně otestovaný soft. Pokud budeš něco odněkud stahovat a instalovat, vytváříš tzv. frankendebian!

Online Roman Horník

  • Hlavní moderátor
  • Aktivní­ uživatel
  • *****
  • Příspěvků: 1.384
    • Zobrazit profil
  • Jabber: roman.hornik@jabber.cz
Re:Neumím terminálem spustit ani instalovat
« Odpověď #11 kdy: 16. 03. 2020, 05:35:05 »
1) Blbuntu ani nepříteli!
2) Instalace DEB balíků se provádí následujícím příkazem:
su - (staneš se po zadání hesla roota rootem)
dpkg -i /cesta/k/baliku.deb
apt install -f (pro sichr, kdyby nebyly splněný závislosti instalovanýho balíku)
A hotovo. Odhlásíš se mimochodem stisknutím [L-Ctrl]+[D], když tuhle kombinaci stiskneš podruhý, zavřeš okno terminálu.
« Poslední změna: 19. 03. 2020, 00:20:21 od Roman Horník »
Debian Sid/Experimental 64bit + Mate Desktop Environment
* CPU: Intel i5 3570
* GPU: NVIDIA GTX650 1GD5
* MB: Lenovo IH61M
* RAM: 16GiB Deutsche Demokratische Republik 3 @ 1600MHz

Offline BFU

  • Začátečník
  • **
  • Příspěvků: 27
    • Zobrazit profil
Re:Neumím terminálem spustit ani instalovat
« Odpověď #12 kdy: 17. 03. 2020, 19:02:00 »
Nejde mi to
Kód: [Vybrat]
root@kali:~# dpkg -i /root/Stažené/PlayOnLinux_4.3.4.deb
(Načítá se databáze … nyní je nainstalováno 379705 souborů a adresářů.)
Připravuje se nahrazení …/PlayOnLinux_4.3.4.deb …
Rozbaluje se playonlinux (4.3.4) přes (4.3.4) …
dpkg: nesplněné závislosti zamezily konfiguraci balíku playonlinux:
 playonlinux závisí na icoutils; avšak:
  Balík icoutils není nainstalován.
 playonlinux závisí na jq; avšak:
  Balík jq není nainstalován.

dpkg: chyba při zpracovávání balíku playonlinux (--install):
 problém se závislostmi - nechávám nezkonfigurované
Zpracovávají se spouštěče pro balík gnome-menus (3.31.3-1) …
Zpracovávají se spouštěče pro balík desktop-file-utils (0.23-4) …
Zpracovávají se spouštěče pro balík mime-support (3.61) …
Zpracovávají se spouštěče pro balík man-db (2.8.5-1) …
Při zpracování nastaly chyby:
 playonlinux
root@kali:~#
nebo
Kód: [Vybrat]
root@kali:~# dpkg -i /root/Stažené/crossover_19.0.1-1.deb
(Načítá se databáze … nyní je nainstalováno 379705 souborů a adresářů.)
Připravuje se nahrazení …/crossover_19.0.1-1.deb …
Rozbaluje se crossover:i386 (19.0.1-1) přes (19.0.1-1) …
dpkg: nesplněné závislosti zamezily konfiguraci balíku crossover:i386:
 crossover:i386 závisí na libc6 (>= 2.11).
 crossover:i386 závisí na libx11-6 | xlibs.
 crossover:i386 závisí na libxext6 | xlibs.
 crossover:i386 závisí na libxi6.
 crossover:i386 závisí na libfreetype6.
 crossover:i386 závisí na libpng12-0 | libpng16-16.
 crossover:i386 závisí na libz1.
 crossover:i386 závisí na libnss-mdns | lib32nss-mdns:amd64; avšak:
  Balík lib32nss-mdns není nainstalován.
 crossover:i386 závisí na libcups2; avšak:
 crossover:i386 závisí na liblcms2-2; avšak:
 crossover:i386 závisí na libglu1-mesa; avšak:
 crossover:i386 závisí na libxcursor1; avšak:
 crossover:i386 závisí na libxrandr2; avšak:

dpkg: chyba při zpracovávání balíku crossover:i386 (--install):
 problém se závislostmi - nechávám nezkonfigurované
Při zpracování nastaly chyby:
 crossover:i386
root@kali:~#
Prosím o polopatické rady - jsem BFU

Offline Petr Krčmář

  • Administrátor
  • Aktivní­ uživatel
  • *****
  • Příspěvků: 451
    • Zobrazit profil
    • Debian-linux.cz
Re:Neumím terminálem spustit ani instalovat
« Odpověď #13 kdy: 17. 03. 2020, 20:35:02 »
To je zbytečně složité. Příkaz apt tohle umí přímo, stačí mu dát cestu k balíčku.

Kód: [Vybrat]
# apt install /tmp/balik.deb

Offline BFU

  • Začátečník
  • **
  • Příspěvků: 27
    • Zobrazit profil
Re:Neumím terminálem spustit ani instalovat
« Odpověď #14 kdy: 18. 03. 2020, 13:36:22 »
Také mi to nejde
Kód: [Vybrat]
root@kali:~# apt install /root/Stažené/crossover_19.0.1-1.deb
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
Pro opravení můžete spustit „apt --fix-broken install“.
Následující balíky mají nesplněné závislosti:
 crossover:i386 : Závisí na: libc6:i386 (>= 2.11) ale nedá se nainstalovat
                  Závisí na: libx11-6:i386 ale nedá se nainstalovat nebo
                               xlibs:i386 ale nedá se nainstalovat
                  Závisí na: libxext6:i386 ale nedá se nainstalovat nebo
                               xlibs:i386 ale nedá se nainstalovat
                  Závisí na: libxi6:i386 ale nedá se nainstalovat
                  Závisí na: libfreetype6:i386 ale nedá se nainstalovat
                  Závisí na: libpng12-0:i386 ale nedá se nainstalovat nebo
                               libpng16-16:i386 ale nedá se nainstalovat
                  Závisí na: libz1:i386 ale nedá se nainstalovat
                  Závisí na: libnss-mdns:i386 ale nedá se nainstalovat nebo
                               lib32nss-mdns:amd64 ale nedá se nainstalovat
                  Závisí na: libcups2:i386 ale nedá se nainstalovat
                  Závisí na: liblcms2-2:i386 ale nedá se nainstalovat
                  Závisí na: libglu1-mesa:i386 ale nedá se nainstalovat
                  Závisí na: libxcursor1:i386 ale nedá se nainstalovat
                  Závisí na: libxrandr2:i386 ale nedá se nainstalovat
 playonlinux : Závisí na: icoutils ale nedá se nainstalovat
               Závisí na: jq ale nedá se nainstalovat
E: Nesplněné závislosti. Zkuste spustit „apt --fix-broken install“ bez balíků (nebo navrhněte řešení).
root@kali:~#
nebo
Kód: [Vybrat]
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
Pro opravení můžete spustit „apt --fix-broken install“.
Následující balíky mají nesplněné závislosti:
 crossover:i386 : Závisí na: libc6:i386 (>= 2.11) ale nedá se nainstalovat
                  Závisí na: libx11-6:i386 ale nedá se nainstalovat nebo
                               xlibs:i386 ale nedá se nainstalovat
                  Závisí na: libxext6:i386 ale nedá se nainstalovat nebo
                               xlibs:i386 ale nedá se nainstalovat
                  Závisí na: libxi6:i386 ale nedá se nainstalovat
                  Závisí na: libfreetype6:i386 ale nedá se nainstalovat
                  Závisí na: libpng12-0:i386 ale nedá se nainstalovat nebo
                               libpng16-16:i386 ale nedá se nainstalovat
                  Závisí na: libz1:i386 ale nedá se nainstalovat
                  Závisí na: libnss-mdns:i386 ale nedá se nainstalovat nebo
                               lib32nss-mdns:amd64 ale nedá se nainstalovat
                  Závisí na: libcups2:i386 ale nedá se nainstalovat
                  Závisí na: liblcms2-2:i386 ale nedá se nainstalovat
                  Závisí na: libglu1-mesa:i386 ale nedá se nainstalovat
                  Závisí na: libxcursor1:i386 ale nedá se nainstalovat
                  Závisí na: libxrandr2:i386 ale nedá se nainstalovat
 playonlinux : Závisí na: icoutils ale nedá se nainstalovat
               Závisí na: jq ale nedá se nainstalovat
E: Nesplněné závislosti. Zkuste spustit „apt --fix-broken install“ bez balíků (nebo navrhněte řešení).
root@kali:~#
Když použiji
Kód: [Vybrat]
apt --fix-broken installtak to vypadá slibně, ale kde jsou ty spouštěče?
Kód: [Vybrat]
oot@kali:~# apt --fix-broken install
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
Opravují se závislosti… Hotovo
Následující balíky budou ODSTRANĚNY:
  crossover:i386 playonlinux
0 aktualizováno, 0 nově instalováno, 2 k odstranění a 0 neaktualizováno.
2 instalováno nebo odstraněno pouze částečně.
Po této operaci bude na disku uvolněno 612 MB.
Chcete pokračovat? [Y/n] y
(Načítá se databáze … nyní je nainstalováno 379705 souborů a adresářů.)
Odstraňuje se balík crossover:i386 (19.0.1-1) …
Odstraňuje se balík playonlinux (4.3.4) …
Zpracovávají se spouštěče pro balík mime-support (3.61) …
Zpracovávají se spouštěče pro balík desktop-file-utils (0.23-4) …
Zpracovávají se spouštěče pro balík man-db (2.8.5-1) …
Zpracovávají se spouštěče pro balík gnome-menus (3.31.3-1) …
root@kali:~# ^C
« Poslední změna: 18. 03. 2020, 13:44:57 od BFU »
Prosím o polopatické rady - jsem BFU